Bug 17332 - Memcached configuration missing in koha-conf* files
Summary: Memcached configuration missing in koha-conf* files
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on: 11921
Blocks: 17336
  Show dependency treegraph
 
Reported: 2016-09-23 14:19 UTC by Tomás Cohen Arazi
Modified: 2019-06-27 09:24 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17332: Include memcached configuration in koha-conf files (2.21 KB, patch)
2016-09-23 14:38 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 17332: Remove memcached config from apache files (3.79 KB, patch)
2016-09-23 14:38 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 17332: Include memcached configuration in koha-conf files (2.27 KB, patch)
2016-09-23 20:13 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 17332: Remove memcached config from apache files (3.85 KB, patch)
2016-09-23 20:13 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 17332: Include memcached configuration in koha-conf files (2.32 KB, patch)
2016-09-26 18:42 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17332: Remove memcached config from apache files (3.90 KB, patch)
2016-09-26 18:42 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-09-23 14:19:49 UTC
Bug 11921 makes the code look for memcached configuration into the koha-conf* files, but missed to patch koha-conf* files!

To test:
- Run:
  $ $ git grep memcached_servers
=> FAIL: no memcached_servers entry on etc/koha-conf.xml or debian/templates/koha-conf-site.xml.in
Comment 1 Tomás Cohen Arazi 2016-09-23 14:38:32 UTC
Created attachment 55776 [details] [review]
Bug 17332: Include memcached configuration in koha-conf files

This patch introduces the memcached_servers and memcached_namespace
configuration entries as expected by 11921.

Note: better test this one and the followup together to ease the process.

To test:
- Do a source Koha install (dev, standard, single)
=> SUCCESS: The resulting koha-conf.xml file includes the memcached_* entries
   which are filled with the right values.
- In kohadevbox (packages setup):
- Replace /etc/koha/koha-conf-site.xml.in with the one from this patch
- Create a new koha instance
=> SUCCESS: The instance's koha-conf.xml includes the relevant entries
- Sign off
Comment 2 Tomás Cohen Arazi 2016-09-23 14:38:37 UTC
Created attachment 55777 [details] [review]
Bug 17332: Remove memcached config from apache files

This patch removes Memcached configurations from the shipped apache files.

Note: testing is not actually needed for this patch, as it is really trivial. But I
include testing steps, just in case QA members require it.

To test:
- Apply the patch
- Do a (standard/dev/single) Koah install
=> SUCCESS: Verify the resulting koha-httpd.conf file doens't include memcached data
- Have a packages install
- Replace
  * /etc/koha/apache-site-https.conf.in
  * /etc/koha/apache-site.conf.in
  with the ones from this patch
- Create an instance
=> SUCCESS: The apache configuration doesn't include memcached configurations
- Sign off :-D
Comment 3 Chris Cormack 2016-09-23 20:13:14 UTC
Created attachment 55784 [details] [review]
Bug 17332: Include memcached configuration in koha-conf files

This patch introduces the memcached_servers and memcached_namespace
configuration entries as expected by 11921.

Note: better test this one and the followup together to ease the process.

To test:
- Do a source Koha install (dev, standard, single)
=> SUCCESS: The resulting koha-conf.xml file includes the memcached_* entries
   which are filled with the right values.
- In kohadevbox (packages setup):
- Replace /etc/koha/koha-conf-site.xml.in with the one from this patch
- Create a new koha instance
=> SUCCESS: The instance's koha-conf.xml includes the relevant entries
- Sign off

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 4 Chris Cormack 2016-09-23 20:13:38 UTC
Created attachment 55785 [details] [review]
Bug 17332: Remove memcached config from apache files

This patch removes Memcached configurations from the shipped apache files.

Note: testing is not actually needed for this patch, as it is really trivial. But I
include testing steps, just in case QA members require it.

To test:
- Apply the patch
- Do a (standard/dev/single) Koah install
=> SUCCESS: Verify the resulting koha-httpd.conf file doens't include memcached data
- Have a packages install
- Replace
  * /etc/koha/apache-site-https.conf.in
  * /etc/koha/apache-site.conf.in
  with the ones from this patch
- Create an instance
=> SUCCESS: The apache configuration doesn't include memcached configurations
- Sign off :-D

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 5 Kyle M Hall 2016-09-26 18:42:18 UTC
Created attachment 55828 [details] [review]
Bug 17332: Include memcached configuration in koha-conf files

This patch introduces the memcached_servers and memcached_namespace
configuration entries as expected by 11921.

Note: better test this one and the followup together to ease the process.

To test:
- Do a source Koha install (dev, standard, single)
=> SUCCESS: The resulting koha-conf.xml file includes the memcached_* entries
   which are filled with the right values.
- In kohadevbox (packages setup):
- Replace /etc/koha/koha-conf-site.xml.in with the one from this patch
- Create a new koha instance
=> SUCCESS: The instance's koha-conf.xml includes the relevant entries
- Sign off

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Kyle M Hall 2016-09-26 18:42:32 UTC
Created attachment 55829 [details] [review]
Bug 17332: Remove memcached config from apache files

This patch removes Memcached configurations from the shipped apache files.

Note: testing is not actually needed for this patch, as it is really trivial. But I
include testing steps, just in case QA members require it.

To test:
- Apply the patch
- Do a (standard/dev/single) Koah install
=> SUCCESS: Verify the resulting koha-httpd.conf file doens't include memcached data
- Have a packages install
- Replace
  * /etc/koha/apache-site-https.conf.in
  * /etc/koha/apache-site.conf.in
  with the ones from this patch
- Create an instance
=> SUCCESS: The apache configuration doesn't include memcached configurations
- Sign off :-D

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Kyle M Hall 2016-09-27 10:30:24 UTC
Pushed to master for 16.11, thanks Tomas!
Comment 8 Frédéric Demians 2016-09-30 07:56:37 UTC
Won't be pushed to 16.05 as bug 11921.